Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom3
Interface DOMLocator

public interface DOMLocator

DOM Level 3 WD Experimental: The DOM Level 3 specification is at the stage of Working Draft, which represents work in progress and thus may be updated, replaced, or obsoleted by other documents at any time.

`DOMLocator` is an interface that describes a location (e.g. where an error occured).

See also the Document Object Model (DOM) Level 3 Core Specification.

Method Summary
`int` | `getColumnNumber()` The column number where the error occured, or -1 if there is no column number available.
`org.w3c.dom.Node` | `getErrorNode()` The DOM Node where the error occured, or null if there is no Node available.
`int` | `getLineNumber()` The line number where the error occured, or -1 if there is no line number available.
`int` | `getOffset()` The byte or character offset into the input source, if we're parsing a file or a byte stream then this will be the byte offset into that stream, but if a character media is parsed then the offset will be the character offset.
`java.lang.String` | `getUri()` The URI where the error occured, or null if there is no URI available.

Method Detail

### getLineNumber

    public int getLineNumber()

  The line number where the error occured, or -1 if there is no line number available.

### getColumnNumber

    public int getColumnNumber()

  The column number where the error occured, or -1 if there is no column number available.

### getOffset

    public int getOffset()

  The byte or character offset into the input source, if we're parsing a file or a byte stream then this will be the byte offset into that stream, but if a character media is parsed then the offset will be the character offset. The value is `-1` if there is no offset available.

### getErrorNode

    public org.w3c.dom.Node getErrorNode()

  The DOM Node where the error occured, or null if there is no Node available.

### getUri

    public java.lang.String getUri()

  The URI where the error occured, or null if there is no URI available.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.